export const colorLegend = (selection, props) => {
  
  	const { colorScale, circleRadius, spacing, textOffset, backgroundRectWidth } = props;
  
  
  	const backgroundRect = selection.selectAll('rect')
    	.data([null]);
  
  	const n = colorScale.domain().length;
  
  	backgroundRect.enter().append('rect')
  		.merge(backgroundRect)
  			.attr('y', 220)
  			.attr('width', backgroundRectWidth)
  			.attr('height', spacing * n	+ circleRadius * 2)
  			.attr('fill', 'white')
  			.attr('rx', circleRadius*2)
  			.attr('opacity', 0.8);
  	
    
    const groups = selection.selectAll('.tick')
      	.data(colorScale.domain());
  	
  	const groupsEnter = groups.enter().append('g').attr('class', 'tick');
    
  	groupsEnter
  		.merge(groups)
  			.attr('transform', (d, i) => 
              `translate(20, ${i * spacing + 250})`);
		groups.exit().remove();
  
  	groupsEnter.append('circle')
  		.merge(groups.select('circle'))
  			.attr('fill', colorScale)
  		  .attr('r', circleRadius);
  
    groupsEnter.append('text')
  		.merge(groups.select('text'))
  			.text(d => d)
  			.attr('x', textOffset)
  			.attr('dy', '0.32em');
}; 