import { select, geoPath, max, scaleSqrt, geoCentroid, geoNaturalEarth1, event, zoom, scaleOrdinal, schemeSpectral } from 'd3';
import { loadAndProcessData } from './loadAndProcessData.js';
import { sizeLegend } from './sizeLegend';

const svg = select('svg');

const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

const radiusValue = d => d.properties['2018'] ;

const sizeScale = 


const g = svg.append('g');

svg.call(zoom().on('zoom', () => {
	g.attr('transform', event.transform);
  
}));


g.append('path')
	.attr('class', 'sphere')
	.attr('d', pathGenerator({type: "Sphere"}));



loadAndProcessData().then(countries => {
  
  	sizeScale = scaleSqrt()
      .domain([0, max(countries.features, radiusValue)])
  		.range([0, 20]);
  
    
    svg.append('g')
      .attr('tansform', `translate(200, 200)`)
      .call(sizeLegend, {
        sizeScale,
        circleRadius : 30,
        spacing : 70,
        textOffset : 10,
        numticks: 5,
        circleFill: 'rgba(0,0,0,0.5)'
    });
  
    g.selectAll('path')
    .data(countries.features)
    .enter().append('path')
      .attr('d', pathGenerator)
      .attr('class', 'countries')
      .attr('fill', d => d.properties['2018'] ? 'green' : 'red')
    .append('title')
      .text(d => d.id);
  
   countries.featuresWithPopulation.forEach(d => {
   	d.properties.projected = projection(geoCentroid(d));
   }) 
  	
  
    g.selectAll('circle').data(countries.featuresWithPopulation)
    .enter().append('circle')
  		.attr('class', 'country-circle')
  		.attr('cx', d => d.properties.projected[0])
  		.attr('cy', d => d.properties.projected[1])
  		.attr('r', d => radiusScale(radiusValue(d)));
  
  
});

