export const sizeLegend = (selection, props) => {
  
  	const { sizeScale, spacing, textOffset, numTicks, circleFill } = props;
  
  	const ticks = sizeScale.ticks(numTicks).filter(d => d != 0);	
  
    const groups = selection.selectAll('g').data(ticks);
  	
  	const groupsEnter = groups.enter().append('g').attr('class', 'tick');
    
  	groupsEnter
  		.merge(groups)
  			.attr('transform', (d, i) => 
              `translate(500, ${i * spacing + 200})`);
		groups.exit().remove();
  
  	groupsEnter.append('circle')
  		.merge(groups.select('circle'))
  			.attr('fill', circleFill)
  		  .attr('r', sizeScale);
  
    groupsEnter.append('text')
  		.merge(groups.select('text'))
  			.text(d => d)
  			.attr('x', d => sizeScale(d) + textOffset )
  			.attr('dy', '0.32em');
};